FishOutFishOut

Update organization settings

PATCH/orgs/{organizationId}

Update organization settings using current organization authority.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Reuse for retries of the same action for 24 hours. A changed body returns 409.

Length8 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/orgs/string" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": "string",    "name": "string",    "slug": "string",    "kind": "business",    "createdAt": "2019-08-24T14:15:22Z",    "property1": "string",    "property2": "string"  },  "meta": {    "requestId": "string",    "replayed": true  }}